Bug 1312535 - [abrt] WARNING: CPU: 0 PID: 1043 at lib/dma-debug.c:1096 check_unmap+0x7c9/0x960() [NEEDINFO]
[abrt] WARNING: CPU: 0 PID: 1043 at lib/dma-debug.c:1096 check_unmap+0x7c9/0x...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:304d527483144345b87c1e204a9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-26 20:48 EST by Chen_Min_Chin
Modified: 2016-10-26 12:43 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-26 12:43:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (tcfxfzoi)


Attachments (Terms of Use)
File: dmesg (100.04 KB, text/plain)
2016-02-26 20:48 EST, Chen_Min_Chin
no flags Details

  None (edit)
Description Chen_Min_Chin 2016-02-26 20:48:25 EST
Additional info:
reporter:       libreport-2.6.4
WARNING: CPU: 0 PID: 1043 at lib/dma-debug.c:1096 check_unmap+0x7c9/0x960()
rtl8723be 0000:02:00.0: DMA-API: device driver tries to free DMA memory it has not allocated [device address=0x0000000000000000] [size=231 bytes]
Modules linked in: nf_nat_h323 nf_conntrack_h323 nf_nat_pptp nf_nat_proto_gre nf_conntrack_pptp nf_conntrack_proto_gre nf_nat_tftp nf_conntrack_tftp nf_nat_sip nf_conntrack_sip nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp ccm xfs libcrc32c fuse rfcomm cmac xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_filter ebtable_broute bridge ebtables ip6table_raw ip6table_security ip6table_mangle ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_filter ip6_tables iptable_raw iptable_security iptable_mangle iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack bnep vfat fat rtl8192cu rtl_usb rtl8192c_common iTCO_wdt iTCO_vendor_support
 uvcvideo intel_rapl videobuf2_vmalloc videobuf2_core videobuf2_memops intel_soc_dts_iosf v4l2_common videodev coretemp arc4 rtl8723be kvm_intel media btcoexist btusb kvm rtl8723_common rtl_pci btrtl rtlwifi btbcm btintel bluetooth mac80211 rtsx_pci_ms snd_intel_sst_acpi snd_hda_codec_hdmi snd_intel_sst_core snd_hda_codec_via crct10dif_pclmul memstick snd_hda_codec_generic cfg80211 crc32_pclmul crc32c_intel snd_soc_rt5640 snd_soc_sst_mfld_platform snd_soc_rl6231 snd_hda_intel snd_hda_codec snd_soc_core mei_txe snd_hda_core snd_compress mei lpc_ich snd_hwdep snd_pcm_dmaengine ac97_bus shpchp joydev i2c_i801 snd_seq snd_seq_device snd_pcm wmi snd_timer snd soundcore dw_dmac snd_soc_sst_acpi dw_dmac_core rfkill_gpio i2c_designware_platform i2c_designware_core tpm_tis rfkill iosf_mbi tpm
 nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc rtsx_pci_sdmmc i915 i2c_algo_bit 8021q garp stp llc mrp serio_raw drm_kms_helper r8169 drm rtsx_pci mii video sdhci_acpi fjes i2c_hid sdhci mmc_core uas usb_storage
CPU: 0 PID: 1043 Comm: NetworkManager Not tainted 4.3.4-300.fc23.x86_64+debug #1
Hardware name: GIGABYTE Q21/Q21, BIOS 1.03.09RGI4 09/01/2014
 0000000000000000 00000000eb062bc9 ffff8800b56074b0 ffffffff8141c349
 ffff8800b56074f8 ffff8800b56074e8 ffffffff810ab542 ffff8802356baa30
 00000000000000e7 0000000000000000 0000000000000086 0000000000000000
Call Trace:
 [<ffffffff8141c349>] dump_stack+0x4b/0x72
 [<ffffffff810ab542>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810ab5dc>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffff8144d11c>] ? debug_dma_mapping_error+0x7c/0x90
 [<ffffffff8144f399>] check_unmap+0x7c9/0x960
 [<ffffffff8143c916>] ? debug_check_no_obj_freed+0x146/0x250
 [<ffffffff81025c09>] ? sched_clock+0x9/0x10
 [<ffffffff8144f5aa>] debug_dma_unmap_page+0x7a/0xa0
 [<ffffffffa0780a91>] rtl_pci_reset_trx_ring+0x281/0x370 [rtl_pci]
 [<ffffffffa0780b98>] rtl_pci_start+0x18/0x180 [rtl_pci]
 [<ffffffffa06e3871>] rtl_op_start+0x51/0x80 [rtlwifi]
 [<ffffffffa060db45>] ieee80211_do_open+0x385/0x13a0 [mac80211]
 [<ffffffff81863a7e>] ? mutex_unlock+0xe/0x10
 [<ffffffffa060ebb8>] ieee80211_open+0x58/0x60 [mac80211]
 [<ffffffff81721218>] __dev_open+0xc8/0x140
 [<ffffffff8172152d>] __dev_change_flags+0x9d/0x160
 [<ffffffff81721619>] dev_change_flags+0x29/0x70
 [<ffffffff817311f7>] do_setlink+0x5f7/0xb40
 [<ffffffff811070cd>] ? __lock_acquire+0x5ad/0x1ba0
 [<ffffffff81025c09>] ? sched_clock+0x9/0x10
 [<ffffffff8112515d>] ? debug_lockdep_rcu_enabled+0x1d/0x20
 [<ffffffff811076f7>] ? __lock_acquire+0xbd7/0x1ba0
 [<ffffffff8144ca92>] ? nla_parse+0x32/0x100
 [<ffffffff81731e2c>] rtnl_newlink+0x5ac/0x8a0
 [<ffffffff810b5958>] ? ns_capable+0x38/0x70
 [<ffffffff817304e6>] rtnetlink_rcv_msg+0xe6/0x240
 [<ffffffff817303db>] ? rtnetlink_rcv+0x1b/0x40
 [<ffffffff810e5e8c>] ? local_clock+0x1c/0x20
 [<ffffffff817303db>] ? rtnetlink_rcv+0x1b/0x40
 [<ffffffff81730400>] ? rtnetlink_rcv+0x40/0x40
 [<ffffffff8175a604>] netlink_rcv_skb+0xa4/0xc0
 [<ffffffff817303ea>] rtnetlink_rcv+0x2a/0x40
 [<ffffffff81759d23>] netlink_unicast+0x193/0x280
 [<ffffffff81759ca1>] ? netlink_unicast+0x111/0x280
 [<ffffffff8175a2d3>] netlink_sendmsg+0x4c3/0x620
 [<ffffffff816fc5d8>] sock_sendmsg+0x38/0x50
 [<ffffffff816fcfd9>] ___sys_sendmsg+0x2c9/0x2e0
 [<ffffffff81025c09>] ? sched_clock+0x9/0x10
 [<ffffffff810e5e8c>] ? local_clock+0x1c/0x20
 [<ffffffff8128ec42>] ? __fget+0x122/0x200
 [<ffffffff8128eb25>] ? __fget+0x5/0x200
 [<ffffffff8128ed8a>] ? __fget_light+0x2a/0x90
 [<ffffffff816fe091>] __sys_sendmsg+0x51/0x90
 [<ffffffff816fe0e2>] SyS_sendmsg+0x12/0x20
 [<ffffffff81866bf2>] entry_SYSCALL_64_fastpath+0x12/0x76

Potential duplicate: bug 1030771
Comment 1 Chen_Min_Chin 2016-02-26 20:48:36 EST
Created attachment 1130966 [details]
File: dmesg
Comment 2 Laura Abbott 2016-09-23 15:23:58 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 3 Laura Abbott 2016-10-26 12:43:23 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.